#ifndef __FO_CLIENT_H__
#define __FO_CLIENT_H__

#include "thread.h"
#include "socket.h"
#include "server.h"
#include "webrequest.h"


class FoClient {
public:
	FoClient( SOCKET socket , FoWebServer *srv );
	BOOL HandleClient();
protected:
	FoWebServer *server;
	SOCKET sock;
	FoWebRequest webreq;
	BOOL HandleRequest( FoWebRequest &req );
};


#endif
